<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<!-- responsive meta tags -->
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit = no">
	
	<!-- Bootstrap CSS -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">

	<!-- Custom CSS -->

	<title>Bootstrap Grid System</title>

</head>
<body>
	<h1 class="text text-white bg-primary">Bootstrap Grid System</h1>

	<div class="container-fluid">
		<!-- A div column can occupy more than 1 column. We may create Layouts wherein one div occupies 8 columns and another one occupies 4 columns
			- 12 columns 1 row
		Syntax to define the number of columns a div will occupy in a row:
		col-breakpoint-numberOfColumns(must not exceed 12 to avoid overflow) 
		-->
		<div class="row">
			<!-- div 1 -->
			<div class="bg-success border border-dark col-md-8">
				Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
				tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
				quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
				consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
				cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
				proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
			</div>
			<!-- div 2 -->
			<div class="bg-warning border border-dark col-md-8">
				Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
				tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
				quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
				consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
				cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
				proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
			</div>
		</div>
	</div>
		<!-- end div row -->
		<h2 class="text-center">Rows with 2 equal columns</h2>
		<h3 class="text-center">1:1 Ratio</h3>
		<div class="row mt-3">
			<div class="bg-primary py-3 border-dark col-6">
				<h2 class="text-center">6 columns</h2>
				<p>
					Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
					tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
					quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
					consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
					cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
					proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
				</p>
			</div>
			<div class="bg-danger py-3 border border-dark col-6">
				6 columns
			</div>
		</div>
		<!-- end row 1:1 -->
		<h3 class="text-center">1:2 Ratio</h3>
		<div class="row">
			<div class="bg-success py-3 border border-dark col-4">4 col</div>
			<div class="bg-info py-3 border border-dark col-8">8 col</div>
		</div>
		<!-- Mini-Activity:
		 Create a row with columns in 1:3 ratio. Meaning one of the columns is the thrice as big as the other one.

		 bg colors: warning(bigger column) and danger (smaller)
		 add dark border per column

		 output should post at our B145 Hangouts (5mins)
		  -->
		<div>
		  <h3 class="text-center">1:3 Ratio</h3>
		 	<div class="row">
				<div class="bg-danger py-3 border border-dark col-3">3 col</div>
				<div class="bg-warning py-3 border border-dark col-9">9 col</div>
		 	</div>
		</div>
		<div>
			<h2 class="text-center">1:1:1 Ratio</h2>
			<div class="row">
				<div class="bg-success py-3 border border-dark col-4">4 col</div>
				<div class="bg-warning py-3 border border-dark col-4">4 col</div>
				<div class="bg-success py-3 border border-dark col-4">4 col</div>
			</div>
		</div>	
		<div>
			<h2 class="text-center">1:2:1 Ratio</h2>
			<div class="row">
				<div class="bg-success py-3 border border-dark col-3">3 col</div>
				<div class="bg-warning py-3 border border-dark col-6">6 col</div>
				<div class="bg-success py-3 border border-dark col-3">3 col</div>
			</div>
		</div>	
		<div>
			<h2 class="text-center">Auto Columns</h2>
			<div class="row">
				<div class="bg-success py-3 border border-dark col">Auto 1</div>
				<div class="bg-success py-3 border border-dark col">Auto 2</div>
				<div class="bg-warning py-3 border border-dark col-8">Col 8</div>
				<div class="bg-success py-3 border border-dark col">Auto 3</div>
				<div class="bg-success py-3 border border-dark col">Auto 4</div>
			</div>
		</div>
		<!-- end of auto column div -->
		
		<h3 class="text-center">Rows with uneven columns</h3>
		<div class="row">
			<div class="bg-info py-5 border border-dark col-7">col-7</div>
			<div class="bg-info py-5 border border-dark col-5">col-5</div>
			<div class="bg-info py-5 border border-dark col-4">col-4</div>
			<div class="bg-info py-5 border border-dark col-4">col-4</div>
			<div class="bg-info py-5 border border-dark col-4">col-4</div>
			<div class="bg-info py-5 border border-dark col-4">col-4</div>
			<div class="bg-info py-5 border border-dark col-4">col-4</div>
			<div class="bg-info py-5 border border-dark col-4"class="bg-info py-5 border border-dark col-4">col-4</div>
			<div class="bg-info py-5 border border-dark col-4">col-4</div>
			<div class="bg-info py-5 border border-dark col-4">col-4</div>
		</div>
		<!-- end of uneven columns -->
		<h2 class="text-center">Responsive Columns</h2>
			<!-- 
			Breakpoints 

			You can set the number of columns a div occupies per screen using breakpoint however, by default, from the smallest screen a div especially with class col will occupy 12 columns

			Breakpoints are the screen or point wherein the number of columns considered changes based on the screen size. So, from the smallest screen, a div may occupy the whole row but in a large screen, it only occupies 6 columns

			Since Bootstrap was designed with mobile-first approach in mind, the default breakpoint is for the smallest screen.
			Meaning until you add a breakpoint (sm-md-lg-xl), the number of columns a div will occupy will be the same from the smallest largest screen

			col-6 (div is 6 columns from smallest screen up to the largest)
			col-md-6 (div 6 columns only from medium to largest)

			default and sm are screens about the size of smartphones
			md- screen sizes about the size of regular ipad/tablet
			lg - screen sizes about the size of a desktop or laptop screen
			xl - screen sizes about the size of a larger desktop or laptop screen
			-->

			<div class="row">
				<div class="bg-secondary py-3 border border-dark col-md-4">
					4 cols md to lg
				</div>
				<div class="bg-primary py-3 border border-dark col-md-6">
					6 cols md to lg
				</div>
				<div class="bg-danger py-3 border border-dark col-md-2">
					2 cols md to lg
				</div>
			</div>
			<!-- end of div -->
			<div class="row">
				<div class="bg-dark border border-white col-4">col-4 sm to lg</div>
				<div class="bg-primary border border-dark col-8 col-md-6">8 cols 6 cols from md to lg</div>
			</div>
			<!-- end of div -->
			
			<h3>Mini Activity</h3>
			<div class="row">
				<div class="bg-primary border border-dark col-6">6 col sm to lg</div>
				<div class="bg-danger border border-dark col-6 col-md-10">6 col sm 10 md to lg </div>
			</div>
			<div>
				<div class="bg-success border border-dark col-12 col-md-8">12 col sm  8 md to lg</div>
				<div class="bg-info border border-dark col-6 col-md-2">6 sm  2 md to lg </div>
				<div class="bg-success border border-dark col-6 col-md-2">6 sm 2 md to lg</div>
			</div>
			<!-- end of mini-activity -->




	<!-- script -->
		<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.min.js" integrity="sha384-VHvPCCyXqtD5DqJeNxl2dtTyhF78xXNXdkwX1CZeRusQfRKp+tA7hAShOK/B/fQ2" crossorigin="anonymous"></script>
</body>
</html>